Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 3590005: laptop-mode-tools: USB autosuspend ignores user input devices (Closed)

Created:
8 years, 10 months ago by Simon Que
Modified:
8 years, 3 months ago
CC:
chromium-os-reviews_chromium.org
Visibility:
Public.

Description

laptop-mode-tools: USB autosuspend ignores user input devices Human input devices (HIDs) like mice and keyboards cannot handle the auto suspend properly. This patch modifies the autosuspend script to check for and ignore all HIDs when enabling auto suspend. BUG=chromium-os:4534 TEST=verified that HID autosuspend files are not being written to while non-HID autosuspend files are Signed-off-by: Simon Que <sque@chromium.org>; Change-Id: If4a881a0efb3177697e1f4b4f15b8171c881f165 Committed: http://chrome-svn/viewvc/chromeos?view=rev&revision=8d11ab2

Patch Set 1 #

Patch Set 2 : fixed is_hid for 80-char limit #

Patch Set 3 : fixed is_hid for 80-char limit #

Total comments: 4

Patch Set 4 : Updated based on maintainer feedback #

Total comments: 6

Patch Set 5 : Updated with second blacklist #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+33 lines, -0 lines) Patch
M laptop-mode-tools_1.52/etc/laptop-mode/conf.d/usb-autosuspend.conf View 4 1 chunk +5 lines, -0 lines 0 comments Download
M laptop-mode-tools_1.52/usr/share/laptop-mode-tools/modules/usb-autosuspend View 1 2 3 4 3 chunks +28 lines, -0 lines 1 comment Download

Messages

Total messages: 13 (0 generated)
Simon Que
8 years, 10 months ago (2010-09-29 22:56:19 UTC) #1
Simon Que
8 years, 10 months ago (2010-09-29 23:08:01 UTC) #2
Simon Que
8 years, 10 months ago (2010-09-29 23:10:01 UTC) #3
Benson Leung
You should add the laptop mode maintainer's feedback here as well, simon. http://codereview.chromium.org/3590005/diff/6001/7001 File laptop-mode-tools_1.52/usr/share/laptop-mode-tools/modules/usb-autosuspend ...
8 years, 10 months ago (2010-09-30 18:06:42 UTC) #4
Simon Que
http://codereview.chromium.org/3590005/diff/6001/7001 File laptop-mode-tools_1.52/usr/share/laptop-mode-tools/modules/usb-autosuspend (right): http://codereview.chromium.org/3590005/diff/6001/7001#newcode28 laptop-mode-tools_1.52/usr/share/laptop-mode-tools/modules/usb-autosuspend:28: for subdevice in $device/*$device_base*; do No, I'll fix it ...
8 years, 10 months ago (2010-09-30 18:17:07 UTC) #5
Simon Que
8 years, 10 months ago (2010-09-30 19:14:22 UTC) #6
Benson Leung
On 2010/09/30 19:14:22, Simon Que wrote: > LGTM. Go ahead and push it.
8 years, 10 months ago (2010-09-30 20:09:30 UTC) #7
Sameer Nanda
http://codereview.chromium.org/3590005/diff/12001/13002 File laptop-mode-tools_1.52/usr/share/laptop-mode-tools/modules/usb-autosuspend (right): http://codereview.chromium.org/3590005/diff/12001/13002#newcode24 laptop-mode-tools_1.52/usr/share/laptop-mode-tools/modules/usb-autosuspend:24: if [ "DRIVER=usbhid" = "`grep DRIVER=usbhid $device/uevent`" ]; then ...
8 years, 10 months ago (2010-09-30 20:41:25 UTC) #8
Benson Leung
Responded to sameer. http://codereview.chromium.org/3590005/diff/12001/13002 File laptop-mode-tools_1.52/usr/share/laptop-mode-tools/modules/usb-autosuspend (right): http://codereview.chromium.org/3590005/diff/12001/13002#newcode28 laptop-mode-tools_1.52/usr/share/laptop-mode-tools/modules/usb-autosuspend:28: for subdevice in $device/$device_base*; do On ...
8 years, 10 months ago (2010-09-30 20:57:41 UTC) #9
Sameer Nanda
http://codereview.chromium.org/3590005/diff/12001/13002 File laptop-mode-tools_1.52/usr/share/laptop-mode-tools/modules/usb-autosuspend (right): http://codereview.chromium.org/3590005/diff/12001/13002#newcode28 laptop-mode-tools_1.52/usr/share/laptop-mode-tools/modules/usb-autosuspend:28: for subdevice in $device/$device_base*; do On 2010/09/30 20:57:41, Benson ...
8 years, 10 months ago (2010-09-30 21:07:56 UTC) #10
Simon Que
8 years, 10 months ago (2010-09-30 22:45:42 UTC) #11
Benson Leung
Very small nit, but otherwise LGTM. http://codereview.chromium.org/3590005/diff/21001/20003 File laptop-mode-tools_1.52/usr/share/laptop-mode-tools/modules/usb-autosuspend (right): http://codereview.chromium.org/3590005/diff/21001/20003#newcode39 laptop-mode-tools_1.52/usr/share/laptop-mode-tools/modules/usb-autosuspend:39: Delete empty line.
8 years, 10 months ago (2010-10-01 20:45:38 UTC) #12
Sameer Nanda
8 years, 10 months ago (2010-10-01 20:51:52 UTC) #13
LGTM. Thanks!

Powered by Google App Engine
This is Rietveld 408576698